/* defines file for talking to the pop program and libs */
#define POPCONF ".talktopoprc"
#define POPNAME "pop-3"
#define PROTNAME "tcp"
#define POPSERVER "astir"

#define USERCMD "USER"
#define PASSCMD "PASS"
#define LISTCMD "LIST"
#define RETRCMD "RETR"
#define DELECMD "DELE"
#define QUITCMD "QUIT"
#define READY "."
#define BADCHAR '-'
#define OKCHAR '+'

/* standard defines */
#define TRUE 1
#define FALSE 0

/* error codes */
#define NETERR -1
#define NETOK -2
#define GOODCMD 1
#define BADCMD 0
#define BADFILE BADCMD

/* sizes and stuff */
#define MAXLINE 1024
#define MAXSIZE 2048 /* max size of an email to get */
#define MAXCOUNT 10 /* get 10 emails */

/* skeleton for generating file names */
#define INSKELETON "in%03d.msg"

